Diff gmime-2.6.23-r1 with a gmime-3.2.4

/usr/portage/dev-libs/gmime/gmime-3.2.4.ebuild 2020-02-11 20:51:00.000000000 +0300
4 4
EAPI=6
5 5
VALA_USE_DEPEND="vapigen"
6 6

  
7
inherit gnome2 vala flag-o-matic
7
inherit flag-o-matic gnome2 vala
8 8

  
9 9
DESCRIPTION="Utilities for creating and parsing messages using MIME"
10 10
HOMEPAGE="http://spruce.sourceforge.net/gmime/ https://developer.gnome.org/gmime/stable/"
11 11

  
12
SLOT="2.6"
13
LICENSE="LGPL-2.1"
14
KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris ~x86-solaris"
15
IUSE="doc smime static-libs test vala"
12
SLOT="3.0"
13
LICENSE="LGPL-2.1+"
14
KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris ~x86-solaris"
15
IUSE="crypt doc idn static-libs test vala"
16 16
RESTRICT="!test? ( test )"
17 17

  
18 18
RDEPEND="
19 19
	>=dev-libs/glib-2.32.0:2
20 20
	sys-libs/zlib
21
	smime? ( >=app-crypt/gpgme-1.1.6:1= )
21
	crypt? ( >=app-crypt/gpgme-1.8.0:1= )
22
	idn? ( net-dns/libidn2:= )
22 23
	vala? (
23 24
		$(vala_depend)
24 25
		>=dev-libs/gobject-introspection-1.30.0:= )
......
38 39
}
39 40

  
40 41
src_configure() {
41
	[[ ${CHOST} == *-solaris* ]] && append-libs iconv
42
	if [[ ${CHOST} == *-solaris* ]]; then
43
		# bug #???, why not use --with-libiconv
44
		append-libs iconv
45
	fi
46

  
42 47
	gnome2_src_configure \
43
		--enable-cryptography \
44
		--disable-strict-parser \
45
		--disable-mono \
46
		$(use_enable smime) \
48
		$(use_enable crypt crypto) \
47 49
		$(use_enable static-libs static) \
48
		$(use_enable vala)
50
		$(use_enable vala) \
51
		$(use_with idn libidn) \
52
		$(usex doc "" DB2HTML=)
49 53
}
50 54

  
51 55
src_compile() {
Thank you!